Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IPortletDefinitionManagerListener

    public interface IPortletDefinitionManagerListener

Method Summary
`void` | `portletDefinitionCloned(CustomizationContext customizationContext, PortletDefinition portletDefinition)` An existing portlet definition and all of its localization resources have been cloned.
`void` | `portletDefinitionCreated(CustomizationContext customizationContext, PortletDefinition portletDefinition)` A new portlet definition has been created.
`void` | `portletDefinitionDeleted(CustomizationContext customizationContext, PortletDefinition portletDefinition)` Delete a portlet definition, but only if it is not used by other portlet instances.
`void` | `portletDefinitionDeletedWithCascade(CustomizationContext customizationContext, PortletDefinition portletDefinition)` Delete a portlet definition and all portlet instances associated with this definition.
`void` | `portletDefinitionUpdated(CustomizationContext customizationContext, PortletDefinition portletDefinition)` The portlet definition has been updated with new data.

Method Detail

### portletDefinitionUpdated

    void portletDefinitionUpdated(CustomizationContext customizationContext,
                                  PortletDefinition portletDefinition)

  The portlet definition has been updated with new data.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portletDefinition` - the portlet definition containing the new data

### portletDefinitionCreated

    void portletDefinitionCreated(CustomizationContext customizationContext,
                                  PortletDefinition portletDefinition)

  A new portlet definition has been created.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portletDefinition` - the object containing the data to create the new portlet definition with.

### portletDefinitionCloned

    void portletDefinitionCloned(CustomizationContext customizationContext,
                                 PortletDefinition portletDefinition)

  An existing portlet definition and all of its localization resources have been cloned. The localization resources are slightly mutated with a '_' in front of them as to allow the administrator to distinguish from the original. Note: this method only clones the primary instance; any user instances derived from the original are not cloned.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portletDefinitionId` - the id of the portlet definition to clone

### portletDefinitionDeleted

    void portletDefinitionDeleted(CustomizationContext customizationContext,
                                  PortletDefinition portletDefinition)

  Delete a portlet definition, but only if it is not used by other portlet instances.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portletDefinitionId` - the id of the portlet definition to delete.
  See Also
    `IPortletDefinitionManager.deletePortletDefinitionWithCascade(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PortletDefinitionId)`

### portletDefinitionDeletedWithCascade

    void portletDefinitionDeletedWithCascade(CustomizationContext customizationContext,
                                             PortletDefinition portletDefinition)

  Delete a portlet definition and all portlet instances associated with this definition.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portletDefinitionId` - the id of the portlet definition to delete.
  See Also
    `IPortletDefinitionManager.deletePortletDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.PortletDefinitionId)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.